misc/simh-classic: Updated for version 3.12_2.

Signed-off-by: Dave Woodfall <dave@slackbuilds.org>

Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
This commit is contained in:
Antonio Leal 2022-05-12 12:35:41 +01:00 committed by Willy Sudiarto Raharjo
parent 8dfde8f6c1
commit 0f68bd35d5
No known key found for this signature in database
GPG Key ID: 3F617144D7238786
4 changed files with 75 additions and 139 deletions

View File

@ -1,90 +0,0 @@
#if [ -x /usr/bin/update-desktop-database ]; then
# /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
#fi
#
#if [ -x /usr/bin/update-mime-database ]; then
# /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
#fi
#
#if [ -e usr/share/icons/gnome/icon-theme.cache ]; then
# if [ -x /usr/bin/gtk-update-icon-cache ]; then
# /usr/bin/gtk-update-icon-cache -f usr/share/icons/gnome >/dev/null 2>&1
# fi
#fi
( cd /usr/local/bin ; rm -rf simh-classic-altair )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/altair simh-classic-altair )
( cd /usr/local/bin ; rm -rf simh-classic-eclipse )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/eclipse simh-classic-eclipse )
( cd /usr/local/bin ; rm -rf simh-classic-gri )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/gri simh-classic-gri )
( cd /usr/local/bin ; rm -rf simh-classic-h316 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/h316 simh-classic-h316 )
( cd /usr/local/bin ; rm -rf simh-classic-i1401 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/i1401 simh-classic-i1401 )
( cd /usr/local/bin ; rm -rf simh-classic-i1620 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/i1620 simh-classic-i1620 )
( cd /usr/local/bin ; rm -rf simh-classic-i7094 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/i7094 simh-classic-i7094 )
( cd /usr/local/bin ; rm -rf simh-classic-id16 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/id16 simh-classic-id16 )
( cd /usr/local/bin ; rm -rf simh-classic-id32 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/id32 simh-classic-id32 )
( cd /usr/local/bin ; rm -rf simh-classic-lgp )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/lgp simh-classic-lgp )
( cd /usr/local/bin ; rm -rf simh-classic-nova )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/nova simh-classic-nova )
( cd /usr/local/bin ; rm -rf simh-classic-pdp1 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/pdp1 simh-classic-pdp1 )
( cd /usr/local/bin ; rm -rf simh-classic-pdp10 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/pdp10 simh-classic-pdp10 )
( cd /usr/local/bin ; rm -rf simh-classic-pdp11 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/pdp11 simh-classic-pdp11 )
( cd /usr/local/bin ; rm -rf simh-classic-pdp15 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/pdp15 simh-classic-pdp15 )
( cd /usr/local/bin ; rm -rf simh-classic-pdp4 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/pdp4 simh-classic-pdp4 )
( cd /usr/local/bin ; rm -rf simh-classic-pdp7 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/pdp7 simh-classic-pdp7 )
( cd /usr/local/bin ; rm -rf simh-classic-pdp8 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/pdp8 simh-classic-pdp8 )
( cd /usr/local/bin ; rm -rf simh-classic-pdp9 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/pdp9 simh-classic-pdp9 )
( cd /usr/local/bin ; rm -rf simh-classic-s3 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/s3 simh-classic-s3 )
( cd /usr/local/bin ; rm -rf simh-classic-sds )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/sds simh-classic-sds )
( cd /usr/local/bin ; rm -rf simh-classic-sigma )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/sigma simh-classic-sigma )
( cd /usr/local/bin ; rm -rf simh-classic-uc15 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/uc15 simh-classic-uc15 )
( cd /usr/local/bin ; rm -rf simh-classic-vax )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/vax simh-classic-vax )
( cd /usr/local/bin ; rm -rf simh-classic-vax780 )
( cd /usr/local/bin ; ln -sf /opt/simh-classic/bin/vax780 simh-classic-vax780 )

View File

@ -25,11 +25,11 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=simh-classic
VERSION=${VERSION:-3.11_0}
VERSION=${VERSION:-3.12_2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
BASENAME=${BASENAME:-simhv311-0}
BASENAME=${BASENAME:-simhv312-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@ -44,10 +44,6 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@ -63,27 +59,18 @@ else
fi
set -e
set -e
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
BUILDDIR=$TMP/$BASENAME
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $PKG
rm -rf $PKG $BUILDDIR
mkdir -p $TMP $PKG $OUTPUT $BUILDDIR
cd $BUILDDIR
if [ -e $CWD/$BASENAME.zip ]; then
unzip $CWD/$BASENAME.zip
mv sim/* .
rmdir sim
echo
else
echo "Could not find file "$CWD/$BASENAME.zip
echo "Aborting..."
exit 1
fi
unzip $CWD/$BASENAME.zip
mv sim/* .
rmdir sim
# Patch the sources in order for uc15 to compile...
# gzipped to preserve CRLF line endings
@ -96,35 +83,74 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
chmod 0755 .
# make the simulators
# Randomly fails with more than one job
make -j1 all
mkdir -p $PKG/slackbuild/opt/$PRGNAM/bin
mv BIN/* $PKG/slackbuild/opt/$PRGNAM/bin
# install & strip binaries
# The subdirectory BIN/buildtools will cause an exit code > 0 hence || true
install -Dsv -m 0755 BIN/* -t $PKG/opt/$PRGNAM/bin || true
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
# create program symlinks
mkdir -p $PKG/usr/bin
( cd $PKG/usr/bin ; rm -rf simh-classic-altair )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/altair simh-classic-altair )
( cd $PKG/usr/bin ; rm -rf simh-classic-eclipse )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/eclipse simh-classic-eclipse )
( cd $PKG/usr/bin ; rm -rf simh-classic-gri )
( cd $PKG/usr/bin ; rm -rf ../..simh-classic-h316 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/h316 simh-classic-h316 )
( cd $PKG/usr/bin ; rm -rf simh-classic-i1401 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/i1401 simh-classic-i1401 )
( cd $PKG/usr/bin ; rm -rf simh-classic-i1620 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/i1620 simh-classic-i1620 )
( cd $PKG/usr/bin ; rm -rf simh-classic-i7094 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/i7094 simh-classic-i7094 )
( cd $PKG/usr/bin ; rm -rf simh-classic-id16 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/id16 simh-classic-id16 )
( cd $PKG/usr/bin ; rm -rf simh-classic-id32 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/id32 simh-classic-id32 )
( cd $PKG/usr/bin ; rm -rf simh-classic-lgp )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/lgp simh-classic-lgp )
( cd $PKG/usr/bin ; rm -rf simh-classic-nova )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/nova simh-classic-nova )
( cd $PKG/usr/bin ; rm -rf simh-classic-pdp1 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/pdp1 simh-classic-pdp1 )
( cd $PKG/usr/bin ; rm -rf simh-classic-pdp10 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/pdp10 simh-classic-pdp10 )
( cd $PKG/usr/bin ; rm -rf simh-classic-pdp11 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/pdp11 simh-classic-pdp11 )
( cd $PKG/usr/bin ; rm -rf simh-classic-pdp15 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/pdp15 simh-classic-pdp15 )
( cd $PKG/usr/bin ; rm -rf simh-classic-pdp4 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/pdp4 simh-classic-pdp4 )
( cd $PKG/usr/bin ; rm -rf simh-classic-pdp7 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/pdp7 simh-classic-pdp7 )
( cd $PKG/usr/bin ; rm -rf simh-classic-pdp8 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/pdp8 simh-classic-pdp8 )
( cd $PKG/usr/bin ; rm -rf simh-classic-pdp9 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/pdp9 simh-classic-pdp9 )
( cd $PKG/usr/bin ; rm -rf simh-classic-sds )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/sds simh-classic-sds )
( cd $PKG/usr/bin ; rm -rf simh-classic-sigma )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/sigma simh-classic-sigma )
( cd $PKG/usr/bin ; rm -rf simh-classic-uc15 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/uc15 simh-classic-uc15 )
( cd $PKG/usr/bin ; rm -rf simh-classic-vax )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/vax simh-classic-vax )
( cd $PKG/usr/bin ; rm -rf simh-classic-vax780 )
( cd $PKG/usr/bin ; ln -sf ../../opt/simh-classic/bin/vax780 simh-classic-vax780 )
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
mv $BUILDDIR/doc/* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cat $CWD/pdp11_defs.h.patch.gz > $PKG/usr/doc/$PRGNAM-$VERSION/pdp11_defs.h.patch.gz
mkdir -p $PKG/slackbuild/usr/doc/$PRGNAM-$VERSION
cp -a \
doc/* \
$PKG/slackbuild/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/slackbuild/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cat $CWD/pdp11_defs.h.patch.gz > $PKG/slackbuild/usr/doc/$PRGNAM-$VERSION/pdp11_defs.h.patch.gz
( cd $PKG/opt/$PRGNAM ; rm -rf doc )
( cd $PKG/opt/$PRGNAM ; ln -sf ../../usr/doc/$PRGNAM-$VERSION doc )
mkdir -p $PKG/slackbuild/opt/$PRGNAM/doc/$PRGNAM-$VERSION
cp -a doc/* $PKG/slackbuild/opt/$PRGNAM/doc/
cat $CWD/$PRGNAM.SlackBuild > $PKG/slackbuild/opt/$PRGNAM/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
mkdir -p $PKG/slackbuild/install
cat $CWD/slack-desc > $PKG/slackbuild/install/slack-desc
cat $CWD/doinst.sh > $PKG/slackbuild/install/doinst.sh
cd $PKG/slackbuild/
cd $PKG/
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE

View File

@ -1,10 +1,10 @@
PRGNAM="simh-classic"
VERSION="3.11_0"
VERSION="3.12_2"
HOMEPAGE="http://simh.trailing-edge.com/"
DOWNLOAD="UNSUPPORTED"
MD5SUM=""
DOWNLOAD_x86_64="http://simh.trailing-edge.com/sources/simhv311-0.zip"
MD5SUM_x86_64="154f87096722a72ce71ea66c7ea3bb24"
DOWNLOAD_x86_64="http://simh.trailing-edge.com/sources/simhv312-2.zip"
MD5SUM_x86_64="8426e5209c24ff66c5cafb6fadd0acbb"
REQUIRES=""
MAINTAINER="Antonio Leal"
EMAIL="antonioleal@yahoo.com"

View File

@ -15,5 +15,5 @@ simh-classic: highly portable system simulators and to publish them as freeware
simh-classic: the Internet, with freely available copies of significant or
simh-classic: representative software.
simh-classic:
simh-classic: : Homepage: http://simh.trailing-edge.com/
simh-classic: Homepage: http://simh.trailing-edge.com/
simh-classic: